For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/payment/payvia‑fields

get

Get payvia fields

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
payvia_type_idintegerRequired
Responses
200

success

successbooleanOptionalExample: true
get/api/payment/payvia-fields
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'payvia_type_id' => 4
	);

$request = array(
	'method' => 'GET',
	'path' => 'payment/payvia-fields',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "payvia_fields": [
    {
      "payvia_field_id": "14",
      "payvia_type_id": "4",
      "name": "Account Name",
      "type": "0",
      "required": "1",
      "min": "1",
      "max": "64",
      "orderid": "1",
      "is_unique": "0",
      "protection": "0",
      "check_function": "",
      "deleted": "0",
      "payvia_hash": "0",
      "type_nice": "Text"
    },
    {
      "payvia_field_id": "4",
      "payvia_type_id": "4",
      "name": "Bank Name",
      "type": "0",
      "required": "1",
      "min": "1",
      "max": "64",
      "orderid": "1",
      "is_unique": "0",
      "protection": "0",
      "check_function": "",
      "deleted": "0",
      "payvia_hash": "0",
      "type_nice": "Text"
    },
    {
      "payvia_field_id": "5",
      "payvia_type_id": "4",
      "name": "Account Number",
      "type": "0",
      "required": "1",
      "min": "1",
      "max": "64",
      "orderid": "2",
      "is_unique": "0",
      "protection": "0",
      "check_function": "alnum_number_check",
      "deleted": "0",
      "payvia_hash": "1",
      "type_nice": "Text"
    },
    {
      "payvia_field_id": "6",
      "payvia_type_id": "4",
      "name": "Routing Number",
      "type": "0",
      "required": "1",
      "min": "1",
      "max": "64",
      "orderid": "3",
      "is_unique": "0",
      "protection": "0",
      "check_function": "alnum_number_check",
      "deleted": "0",
      "payvia_hash": "0",
      "type_nice": "Text"
    }
  ]
}

Last updated

Was this helpful?